Index: trunk/NEMO/OPA_SRC/ZDF/zdfbfr.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdfbfr.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/ZDF/zdfbfr.F90	(revision 1601)
@@ -4,12 +4,12 @@
    !! Ocean physics: Bottom friction
    !!======================================================================
+   !! History :  8.0  ! 1997-06  (G. Madec, A.-M. Treguier)  Original code
+   !!   NEMO     1.0  ! 2002-06  (G. Madec)  F90: Free form and module
+   !!----------------------------------------------------------------------
 
    !!----------------------------------------------------------------------
-   !!   zdf_bfr      : update momentum Kz at the ocean bottom due to the
-   !!                  type of bottom friction chosen
-   !!   zdf_bfr_init : read in namelist and control the bottom friction
-   !!                  parameters.
+   !!   zdf_bfr      : update momentum Kz at the ocean bottom due to the type of bottom friction chosen
+   !!   zdf_bfr_init : read in namelist and control the bottom friction parameters.
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE oce             ! ocean dynamics and tracers variables
    USE dom_oce         ! ocean space and time domain variables 
@@ -22,21 +22,18 @@
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC zdf_bfr    ! called by step.F90
+   PUBLIC   zdf_bfr    ! called by step.F90
 
-   !! * Module variables
-   INTEGER ::             & !!! ** bottom friction namelist (nambfr) **
-      nbotfr = 0             ! = 0/1/2/3 type of bottom friction 
-   REAL(wp) ::            & !!! ** bottom friction namelist (nambfr) **
-      bfri1 = 4.0e-4_wp,  &  ! bottom drag coefficient (linear case) 
-      bfri2 = 1.0e-3_wp,  &  ! bottom drag coefficient (non linear case)
-      bfeb2 = 2.5e-3_wp      ! background bottom turbulent kinetic energy  (m2/s2)
+   !                                   !!* Namelist nambfr: bottom friction namelist *
+   INTEGER  ::   nn_bfr   = 0           ! = 0/1/2/3 type of bottom friction 
+   REAL(wp) ::   rn_bfri1 = 4.0e-4_wp   ! bottom drag coefficient (linear case) 
+   REAL(wp) ::   rn_bfri2 = 1.0e-3_wp   ! bottom drag coefficient (non linear case)
+   REAL(wp) ::   rn_bfeb2 = 2.5e-3_wp   ! background bottom turbulent kinetic energy  [m2/s2]
 
    !! * Substitutions
 #  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LOCEAN-IPSL (2005) 
+   !! NEMO/OPA 3.2 , LOCEAN-IPSL (2009) 
    !! $Id$ 
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 
@@ -48,39 +45,27 @@
       !!                 
       !! ** Purpose :   Applied the bottom friction through a specification of 
-      !!      Kz at the ocean bottom.
+      !!              Kz at the ocean bottom.
       !!
       !! ** Method  :   Update the value of avmu and avmv at the ocean bottom 
       !!       level following the chosen friction type (no-slip, free-slip, 
       !!       linear, or quadratic)
+      !!----------------------------------------------------------------------
+      INTEGER, INTENT( in ) ::   kt   ! ocean time-step index
       !!
-      !! History :
-      !!   8.0  !  97-06  (G. Madec, A.-M. Treguier)  Original code
-      !!   8.5  !  02-06  (G. Madec)  F90: Free form and module
+      INTEGER  ::   ji, jj   ! dummy loop indexes
+      INTEGER  ::   ikbu, ikbv, ikbum1, ikbvm1   ! temporary integers
+      REAL(wp) ::   zvu, zuv, zecu, zecv         ! temporary scalars
       !!----------------------------------------------------------------------
-      !! * Arguments
-      INTEGER, INTENT( in ) ::   kt   ! ocean time-step index
-
-      !! * Local declarations
-      INTEGER ::   &
-         ji, jj,                   &  ! dummy loop indexes
-         ikbu, ikbv,               &  ! temporary integers
-         ikbum1, ikbvm1               !
-      REAL(wp) ::   &
-         zvu, zuv, zecu, zecv         ! temporary scalars
-      !!----------------------------------------------------------------------
-
 
       IF( kt == nit000 )   CALL zdf_bfr_init
 
-
-      ! Compute avmu, avmv at the ocean bottom
-      ! --------------------------------------
-
-      SELECT CASE (nbotfr)
-
-      CASE( 0 )                 ! no-slip boundary condition
+      !                               ! --------------------------------------
+      SELECT CASE (nn_bfr)            ! Compute avmu, avmv at the ocean bottom
+      !                               ! --------------------------------------
+      !
+      CASE( 0 )                            !==  no-slip boundary condition  ==!
 # if defined key_vectopt_loop
-         jj = 1
-         DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
+         DO jj = 1, 1
+            DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
 # else
          DO jj = 2, jpjm1
@@ -93,13 +78,11 @@
                avmu(ji,jj,ikbu) = 2. * avmu(ji,jj,ikbum1)
                avmv(ji,jj,ikbv) = 2. * avmv(ji,jj,ikbvm1)
-# if ! defined key_vectopt_loop
             END DO
-# endif
          END DO
 
-      CASE( 1 )                 ! linear botton friction
+      CASE( 1 )                            !==  linear botton friction  ==!
 # if defined key_vectopt_loop
-         jj = 1
-         DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
+         DO jj = 1, 1
+            DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
 # else
          DO jj = 2, jpjm1
@@ -108,16 +91,14 @@
                ikbu = MIN( mbathy(ji+1,jj), mbathy(ji,jj) )
                ikbv = MIN( mbathy(ji,jj+1), mbathy(ji,jj) )
-               avmu(ji,jj,ikbu) = bfri1 * fse3uw(ji,jj,ikbu)
-               avmv(ji,jj,ikbv) = bfri1 * fse3vw(ji,jj,ikbv)
-# if ! defined key_vectopt_loop
+               avmu(ji,jj,ikbu) = rn_bfri1 * fse3uw(ji,jj,ikbu)
+               avmv(ji,jj,ikbv) = rn_bfri1 * fse3vw(ji,jj,ikbv)
             END DO
-# endif
          END DO
 
-      CASE( 2 )                 ! quadratic botton friction
+      CASE( 2 )                            !==  quadratic botton friction  ==!
 # if defined key_vectopt_loop
-         jj = 1
+         DO jj = 1, 1
 !CDIR NOVERRCHK
-         DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
+            DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
 # else
 !CDIR NOVERRCHK
@@ -137,18 +118,16 @@
                               + un(ji,jj+1,ikbvm1) + un(ji-1,jj+1,ikbvm1)  )
                
-               zecu = SQRT(  un(ji,jj,ikbum1) * un(ji,jj,ikbum1) + zvu*zvu + bfeb2  )
-               zecv = SQRT(  vn(ji,jj,ikbvm1) * vn(ji,jj,ikbvm1) + zuv*zuv + bfeb2  )
+               zecu = SQRT(  un(ji,jj,ikbum1) * un(ji,jj,ikbum1) + zvu*zvu + rn_bfeb2  )
+               zecv = SQRT(  vn(ji,jj,ikbvm1) * vn(ji,jj,ikbvm1) + zuv*zuv + rn_bfeb2  )
                
-               avmu(ji,jj,ikbu) = bfri2 * zecu * fse3uw(ji,jj,ikbu)
-               avmv(ji,jj,ikbv) = bfri2 * zecv * fse3vw(ji,jj,ikbv)
-# if ! defined key_vectopt_loop
+               avmu(ji,jj,ikbu) = rn_bfri2 * zecu * fse3uw(ji,jj,ikbu)
+               avmv(ji,jj,ikbv) = rn_bfri2 * zecv * fse3vw(ji,jj,ikbv)
             END DO
-# endif
          END DO
 
-      CASE( 3 )                 ! free-slip boundary condition
+      CASE( 3 )                            !==  free-slip boundary condition  ==!
 # if defined key_vectopt_loop
-         jj = 1
-         DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
+         DO jj = 1, 1
+            DO ji = jpi+2, jpij-jpi-1   ! vector opt. (forced unrolling)
 # else
          DO jj = 2, jpjm1
@@ -159,21 +138,13 @@
                avmu(ji,jj,ikbu) = 0.e0
                avmv(ji,jj,ikbv) = 0.e0
-# if ! defined key_vectopt_loop
             END DO
-# endif
          END DO
+         !
+      END SELECT
+      CALL lbc_lnk( avmu, 'U', 1. )   ;    CALL lbc_lnk( avmv, 'V', 1. )   ! Lateral boundary condition   (unchanged sign)
 
-      END SELECT
-
-      ! Lateral boundary condition on (avmu,avmv)   (unchanged sign)
-      ! ------------------------------===========
-      CALL lbc_lnk( avmu, 'U', 1. )
-      CALL lbc_lnk( avmv, 'V', 1. )
-
-      IF(ln_ctl)  THEN
-         CALL prt_ctl(tab3d_1=avmu, clinfo1=' bfr  - u: ', mask1=umask, &
-            &         tab3d_2=avmv, clinfo2=       ' v: ', mask2=vmask,ovlap=1, kdim=jpk)
-      ENDIF
-
+      IF(ln_ctl)   CALL prt_ctl( tab3d_1=avmu, clinfo1=' bfr  - u: ', mask1=umask,             &
+         &                       tab3d_2=avmv, clinfo2=       ' v: ', mask2=vmask,ovlap=1, kdim=jpk )
+      !
    END SUBROUTINE zdf_bfr
 
@@ -186,49 +157,39 @@
       !!
       !! ** Method  :   Read the nammbf namelist and check their consistency
-      !!      called at the first timestep (nit000)
-      !!
-      !! History :
-      !!   9.0  !  02-06  (G. Madec)  Original code
       !!----------------------------------------------------------------------
-      !! * Local declarations
-      NAMELIST/nambfr/ nbotfr, bfri1, bfri2, bfeb2
+      NAMELIST/nambfr/ nn_bfr, rn_bfri1, rn_bfri2, rn_bfeb2
       !!----------------------------------------------------------------------
 
-      ! Read Namelist nambfr : bottom momentum boundary condition
-      ! --------------------
-      REWIND ( numnam )
-      READ   ( numnam, nambfr )
+      REWIND( numnam )              ! Read Namelist nambfr : bottom momentum boundary condition
+      READ  ( numnam, nambfr )
 
-
-      ! Parameter control and print
-      ! ---------------------------
-      IF(lwp) WRITE(numout,*)
+      IF(lwp) WRITE(numout,*)       ! Parameter print
       IF(lwp) WRITE(numout,*) 'zdf_bfr : momentum bottom friction'
       IF(lwp) WRITE(numout,*) '~~~~~~~'
-      IF(lwp) WRITE(numout,*) '          Namelist nambfr : set bottom friction parameters'
+      IF(lwp) WRITE(numout,*) '   Namelist nambfr : set bottom friction parameters'
 
-      SELECT CASE (nbotfr)
-
+      SELECT CASE (nn_bfr)          ! Parameter control
+      !
       CASE( 0 )
-         IF(lwp) WRITE(numout,*) '            no-slip '
-
+         IF(lwp) WRITE(numout,*) '      no-slip '
+         !
       CASE( 1 )
-         IF(lwp) WRITE(numout,*) '            linear botton friction'
-         IF(lwp) WRITE(numout,*) '            friction coef.   bfri1  = ', bfri1
-
+         IF(lwp) WRITE(numout,*) '      linear botton friction      nn_bfr    = ', nn_bfr
+         IF(lwp) WRITE(numout,*) '      friction coef.              rn_bfri1  = ', rn_bfri1
+         !
       CASE( 2 )
-         IF(lwp) WRITE(numout,*) '            quadratic botton friction'
-         IF(lwp) WRITE(numout,*) '            friction coef.   bfri2  = ', bfri2
-         IF(lwp) WRITE(numout,*) '            background tke   bfeb2  = ', bfeb2
-
+         IF(lwp) WRITE(numout,*) '      quadratic botton friction   nn_bfr    = ', nn_bfr
+         IF(lwp) WRITE(numout,*) '      friction coef.              rn_bfri2  = ', rn_bfri2
+         IF(lwp) WRITE(numout,*) '      background KE               rn_bfeb2  = ', rn_bfeb2
+         !
       CASE( 3 )
-         IF(lwp) WRITE(numout,*) '            free-slip '
-
+         IF(lwp) WRITE(numout,*) '      free-slip '
+         !
       CASE DEFAULT
-         WRITE(ctmp1,*) '         bad flag value for nbotfr = ', nbotfr
+         WRITE(ctmp1,*) 'bad flag value for nn_bfr = ', nn_bfr
          CALL ctl_stop( ctmp1 )
-
+         !
       END SELECT
-
+      !
    END SUBROUTINE zdf_bfr_init
 
Index: trunk/NEMO/OPA_SRC/ZDF/zdfddm.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 1601)
@@ -4,4 +4,7 @@
    !! Ocean physics : double diffusion mixing parameterization
    !!======================================================================
+   !! History :  OPA  ! 2000-08  (G. Madec)  double diffusive mixing
+   !!   NEMO     1.0  ! 2002-06  (G. Madec)  F90: Free form and module
+   !!----------------------------------------------------------------------
 #if defined key_zdfddm   ||   defined key_esopa
    !!----------------------------------------------------------------------
@@ -28,5 +31,5 @@
    REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   rrau   !: heat/salt buoyancy flux ratio
 
-   !                                  !!* Namelist nam_ddm : double diffusive mixing *
+   !                                  !!* Namelist namzdf_ddm : double diffusive mixing *
    REAL(wp) ::   rn_avts  = 1.e-4_wp   ! maximum value of avs for salt fingering
    REAL(wp) ::   rn_hsbfr = 1.6_wp     ! heat/salt buoyancy flux ratio
@@ -47,5 +50,5 @@
       !!                    
       !! ** Purpose :   Add to the vertical eddy diffusivity coefficient the 
-      !!      effect of salt fingering and diffusive convection. 
+      !!              effect of salt fingering and diffusive convection. 
       !!
       !! ** Method  :   Diapycnal mixing is increased in case of double
@@ -70,33 +73,19 @@
       !!      avmu, avmv are required to remain at least above avt and avs.
       !!      
-      !! ** Action  :   avt, avs : update vertical eddy diffusivity coef.
-      !!                           for temperature and salinity
-      !!
-      !! References :
-      !!      Merryfield et al., JPO, 29, 1124-1142, 1999.
-      !! History :
-      !!        !  00-08  (G. Madec)  double diffusive mixing
-      !!   8.5  !  02-06  (G. Madec)  F90: Free form and module
-      !!----------------------------------------------------------------------
-      !! * Arguments
-      INTEGER, INTENT( in ) ::   kt         ! ocean time-step indexocean time step
-
-      !! * Local declarations
-      INTEGER ::   ji, jj , jk              ! dummy loop indices
-      REAL(wp), DIMENSION(jpi,jpj) ::   &
-         zmsks, zmskf,                    & ! temporary workspace 
-         zmskd1, zmskd2, zmskd3             !    "           "
-      REAL(wp) ::   &
-         zinr, zrr,                       & ! temporary scalars
-         zavft, zavfs,                    & !    "         "
-         zavdt, zavds                       !    "         "
-      !!----------------------------------------------------------------------
-
+      !! ** Action  :   avt, avs : updated vertical eddy diffusivity coef. for T & S
+      !!
+      !! References :   Merryfield et al., JPO, 29, 1124-1142, 1999.
+      !!----------------------------------------------------------------------
+      INTEGER, INTENT(in) ::   kt   ! ocean time-step indexocean time step
+      !!
+      INTEGER  ::   ji, jj , jk     ! dummy loop indices
+      REAL(wp) ::   zinr, zrr       ! temporary scalars
+      REAL(wp) ::   zavft, zavfs    !    -         -
+      REAL(wp) ::   zavdt, zavds    !    -         -
+      REAL(wp), DIMENSION(jpi,jpj) ::   zmsks, zmskf, zmskd1, zmskd2, zmskd3   ! 2D workspace 
+      !!----------------------------------------------------------------------
 
       IF ( kt == nit000 )   CALL zdf_ddm_init          ! Initialization (first time-step only)
 
-
-      ! Compute avs
-      ! -----------
       !                                                ! ===============
       DO jk = 2, jpkm1                                 ! Horizontal slab
@@ -104,9 +93,7 @@
          ! Define the mask 
          ! ---------------
-         ! only retains positive value of rrau
-         rrau(:,:,jk) = MAX( 1.e-20, rrau(:,:,jk) )
-
-         ! indicators:
-         DO jj = 1, jpj
+         rrau(:,:,jk) = MAX( 1.e-20, rrau(:,:,jk) )         ! only retains positive value of rrau
+
+         DO jj = 1, jpj                                     ! indicators:
             DO ji = 1, jpi
                ! stability indicator: msks=1 if rn2>0; 0 elsewhere
@@ -158,12 +145,10 @@
                zrr = rrau(ji,jj,jk)/rn_hsbfr
                zrr = zrr * zrr
-               zavfs = rn_avts / ( 1 + zrr*zrr*zrr ) * zmsks(ji,jj) *zmskf(ji,jj)
+               zavfs = rn_avts / ( 1 + zrr*zrr*zrr ) * zmsks(ji,jj) * zmskf(ji,jj)
                zavft = 0.7 * zavfs * zinr
                ! diffusive layering
-               zavdt = 1.3635e-6 * EXP(4.6*EXP(-0.54*(zinr-1.) ) )   &
-                                 * zmsks(ji,jj) * zmskd1(ji,jj)
-               zavds = zavdt * zmsks(ji,jj)   &
-                     * ( (1.85 * rrau(ji,jj,jk) - 0.85 ) * zmskd3(ji,jj)   &
-                       +  0.15 * rrau(ji,jj,jk)          * zmskd2(ji,jj)  )
+               zavdt = 1.3635e-6 * EXP(  4.6 * EXP( -0.54*(zinr-1.) )  ) * zmsks(ji,jj) * zmskd1(ji,jj)
+               zavds = zavdt * zmsks(ji,jj) * (  (1.85 * rrau(ji,jj,jk) - 0.85 ) * zmskd3(ji,jj)   &
+                  &                            +  0.15 * rrau(ji,jj,jk)          * zmskd2(ji,jj)  )
                ! add to the eddy viscosity coef. previously computed
                avs (ji,jj,jk) = avt(ji,jj,jk) + zavfs + zavds
@@ -180,11 +165,9 @@
             DO ji = 1, fs_jpim1   ! vector opt.
                avmu(ji,jj,jk) = MAX( avmu(ji,jj,jk),    &
-                                     avt(ji,jj,jk), avt(ji+1,jj,jk),   &
-                                     avs(ji,jj,jk), avs(ji+1,jj,jk) )   &
-                              * umask(ji,jj,jk)
+                  &                  avt(ji,jj,jk), avt(ji+1,jj,jk),   &
+                  &                  avs(ji,jj,jk), avs(ji+1,jj,jk) )  * umask(ji,jj,jk)
                avmv(ji,jj,jk) = MAX( avmv(ji,jj,jk),    &
-                                     avt(ji,jj,jk), avt(ji,jj+1,jk),   &
-                                     avs(ji,jj,jk), avs(ji,jj+1,jk) )   &
-                              * vmask(ji,jj,jk)
+                  &                  avt(ji,jj,jk), avt(ji,jj+1,jk),   &
+                  &                  avs(ji,jj,jk), avs(ji,jj+1,jk) )  * vmask(ji,jj,jk)
             END DO
          END DO
@@ -192,8 +175,6 @@
       END DO                                              !   End of slab
       !                                                   ! ===============
-      
-      ! Lateral boundary conditions on ( avt, avs, avmu, avmv )   (unchanged sign)
-      ! -------------------------------========================
-      CALL lbc_lnk( avt , 'W', 1. )
+      !
+      CALL lbc_lnk( avt , 'W', 1. )        ! Lateral boundary conditions   (unchanged sign)
       CALL lbc_lnk( avs , 'W', 1. )
       CALL lbc_lnk( avm , 'W', 1. )
@@ -206,5 +187,5 @@
             &         tab3d_2=avmv, clinfo2=       ' v: ', mask2=vmask, ovlap=1, kdim=jpk)
       ENDIF
-      
+      !
    END SUBROUTINE zdf_ddm
    
@@ -216,14 +197,12 @@
       !! ** Purpose :   Initialization of double diffusion mixing scheme
       !!
-      !! ** Method  :   Read the nam_ddm namelist and check the parameter values
+      !! ** Method  :   Read the namzdf_ddm namelist and check the parameter values
       !!              called by zdf_ddm at the first timestep (nit000)
-      !!
-      !! History :  8.5  !  02-08  (G. Madec)  Original code
-      !!----------------------------------------------------------------------
-      NAMELIST/nam_ddm/ rn_avts, rn_hsbfr
-      !!----------------------------------------------------------------------
-      !
-      REWIND ( numnam )               ! Read Namelist nam_ddm : double diffusion mixing scheme
-      READ   ( numnam, nam_ddm )
+      !!----------------------------------------------------------------------
+      NAMELIST/namzdf_ddm/ rn_avts, rn_hsbfr
+      !!----------------------------------------------------------------------
+      !
+      REWIND ( numnam )               ! Read Namelist namzdf_ddm : double diffusion mixing scheme
+      READ   ( numnam, namzdf_ddm )
       !
       IF(lwp) THEN                    ! Parameter print
@@ -231,5 +210,5 @@
          WRITE(numout,*) 'zdf_ddm : double diffusive mixing'
          WRITE(numout,*) '~~~~~~~'
-         WRITE(numout,*) '   Namelist nam_ddm : set dd mixing parameter'
+         WRITE(numout,*) '   Namelist namzdf_ddm : set dd mixing parameter'
          WRITE(numout,*) '      maximum avs for dd mixing      rn_avts   = ', rn_avts
          WRITE(numout,*) '      heat/salt buoyancy flux ratio  rn_hsbfr  = ', rn_hsbfr
Index: trunk/NEMO/OPA_SRC/ZDF/zdfini.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdfini.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/ZDF/zdfini.F90	(revision 1601)
@@ -54,10 +54,10 @@
       INTEGER ::   ioptio       ! temporary scalar
       !!
-      NAMELIST/nam_zdf/ rn_avm0, rn_avt0, nn_avb, nn_havtb, ln_zdfexp, nn_zdfexp,   &
+      NAMELIST/namzdf/ rn_avm0, rn_avt0, nn_avb, nn_havtb, ln_zdfexp, nn_zdfexp,   &
          &              ln_zdfevd, nn_evdm, rn_avevd, ln_zdfnpc, nn_npc, nn_npcp
       !!----------------------------------------------------------------------
 
-      REWIND( numnam )           !* Read nam_zdf namelist : vertical mixing parameters
-      READ  ( numnam, nam_zdf )
+      REWIND( numnam )           !* Read namzdf namelist : vertical mixing parameters
+      READ  ( numnam, namzdf )
 
       IF(lwp) THEN               !* Parameter print
@@ -65,5 +65,5 @@
          WRITE(numout,*) 'zdf_init: vertical physics'
          WRITE(numout,*) '~~~~~~~~'
-         WRITE(numout,*) '   Namelist nam_zdf : set vertical mixing mixing parameters'
+         WRITE(numout,*) '   Namelist namzdf : set vertical mixing mixing parameters'
          WRITE(numout,*) '      vertical eddy viscosity             rn_avm0   = ', rn_avm0
          WRITE(numout,*) '      vertical eddy diffusivity           rn_avt0   = ', rn_avt0
Index: trunk/NEMO/OPA_SRC/ZDF/zdfkpp.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 1601)
@@ -38,11 +38,10 @@
    LOGICAL , PUBLIC, PARAMETER ::   lk_zdfkpp = .TRUE.    !: KPP vertical mixing flag
 
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   ghats   !: non-local scalar mixing term (gamma/<ws>o)
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   & 
-      wt0                   ,  &  !: surface temperature flux for non local flux
-      ws0                   ,  &  !: surface salinity flux for non local flux
-      hkpp                        !: boundary layer depht
-
-   !                                        !!* Namelist nam_zdfkpp *
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   ghats    !: non-local scalar mixing term (gamma/<ws>o)
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)     ::   wt0      !: surface temperature flux for non local flux
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)     ::   ws0      !: surface salinity flux for non local flux
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj)     ::   hkpp     !: boundary layer depht
+
+   !                                        !!* Namelist namzdf_kpp *
    REAL(wp) ::   rn_difmiw  =  1.2e-04_wp    ! constant internal wave viscosity (m2/s)
    REAL(wp) ::   rn_difsiw  =  1.2e-05_wp    ! constant internal wave diffusivity (m2/s)
@@ -59,6 +58,5 @@
       difsdc  = 1.5e-06_wp       ! maximum diffusive convection mixing
 #endif
-   LOGICAL  ::                 &
-      ln_kpprimix  = .TRUE.       ! Shear instability mixing 
+   LOGICAL  ::   ln_kpprimix  = .TRUE.       ! Shear instability mixing 
 
    REAL(wp) ::                 & !!! ** General constants  **
@@ -92,6 +90,5 @@
 
 #if ! defined key_kppcustom
-   REAL(wp), DIMENSION(jpk,jpk) ::   & 
-      del                         ! array for reference mean values of vertical integration 
+   REAL(wp), DIMENSION(jpk,jpk) ::   del   ! array for reference mean values of vertical integration 
 #endif
 
@@ -103,7 +100,6 @@
       njlktbm1 = njlktb - 1       !
 
-   REAL(wp), DIMENSION(nilktb,njlktb) ::  &
-      wmlktb                ,  &  ! lookup table for the turbulent vertical velocity scale for momentum
-      wslktb                       ! lookup table for the turbulent vertical velocity scale for tracers
+   REAL(wp), DIMENSION(nilktb,njlktb) ::   wmlktb   ! lookup table for the turbulent vertical velocity scale for momentum
+   REAL(wp), DIMENSION(nilktb,njlktb) ::   wslktb   ! lookup table for the turbulent vertical velocity scale for tracers
 
    REAL(wp) ::                 &
@@ -115,7 +111,6 @@
       deustar                     ! delta ustar in lookup table
 #endif
-   REAL(wp), DIMENSION(jpk) :: &  !!! attenuation coef  
-      ratt        
-   !! already defines in module traqsr, but only if the solar radiation penetration is considered
+   REAL(wp), DIMENSION(jpk) ::   ratt   ! attenuation coef  (already defines in module traqsr, 
+   !                                    ! but only if the solar radiation penetration is considered)
    REAL(wp) ::                 & !!! * penetrative solar radiation coefficient *
       rabs = 0.58_wp        ,  &  ! fraction associated with xsi1
@@ -135,10 +130,8 @@
       buof                  ,  &  ! buoyancy forcing
       mols                        ! moning-Obukhov length scale 
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   &
-      ekdp                        ! Ekman depth
-#endif
-
-   INTEGER  ::  &                 !
-      jip = 62 , jjp = 111
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   ekdp   ! Ekman depth
+#endif
+
+   INTEGER  ::   jip = 62 , jjp = 111
 
    !! * Substitutions
@@ -147,5 +140,5 @@
 #  include  "zdfddm_substitute.h90"
    !!----------------------------------------------------------------------
-   !!   OPA 9.0 , LOCEAN-IPSL   (2005)
+   !! NEMO/OPA 3.2 , LOCEAN-IPSL   (2009)
    !! $Id$
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
@@ -419,5 +412,5 @@
       DO jj = 2, jpjm1
          DO ji = fs_2, fs_jpim1     
-            IF( neos < 1) THEN   
+            IF( nn_eos < 1) THEN   
                zt     = tn(ji,jj,1)
                zs     = sn(ji,jj,1) - 35.0
@@ -454,6 +447,6 @@
             ELSE
                zrhos    = rhop(ji,jj,1) + rau0 * ( 1. - tmask(ji,jj,1) )
-               zthermal = ralpha / ( rcp * zrhos + epsln )
-               zhalin   = rbeta * sn(ji,jj,1) * rcs
+               zthermal = rn_alpha / ( rcp * zrhos + epsln )
+               zhalin   = rn_beta * sn(ji,jj,1) * rcs
             ENDIF
             ! Radiative surface buoyancy force
@@ -468,5 +461,5 @@
       ENDDO
 
-      zflageos = 0.5 + SIGN( 0.5, neos - 1. ) 
+      zflageos = 0.5 + SIGN( 0.5, nn_eos - 1. ) 
       !  Compute surface buoyancy forcing, Monin Obukhov and Ekman depths  
       !------------------------------------------------------------------    
@@ -597,5 +590,5 @@
                ! potential density of water(ztref,zsref at level jk):
                ! compute volumic mass pure water at atm pressure
-               IF ( neos < 1 ) THEN
+               IF ( nn_eos < 1 ) THEN
                   zr1= ( ( ( ( 6.536332e-9*zt-1.120083e-6 )*zt+1.001685e-4)*zt   &
                      &       -9.095290e-3 )*zt+6.793952e-2 )*zt+999.842594
@@ -1345,9 +1338,9 @@
          ll_kpplktb                ! Lookup table for turbul. velocity scales 
       !!
-      NAMELIST/nam_kpp/ ln_kpprimix, rn_difmiw, rn_difsiw, rn_riinfty, rn_difri, rn_bvsqcon, rn_difcon, nn_ave
+      NAMELIST/namzdf_kpp/ ln_kpprimix, rn_difmiw, rn_difsiw, rn_riinfty, rn_difri, rn_bvsqcon, rn_difcon, nn_ave
       !!----------------------------------------------------------------------
 
       REWIND ( numnam )               ! Read Namelist namkpp : K-Profile Parameterisation
-      READ   ( numnam, nam_kpp )
+      READ   ( numnam, namzdf_kpp )
 
       IF(lwp) THEN                    ! Control print
@@ -1355,5 +1348,5 @@
          WRITE(numout,*) 'zdf_kpp_init : K-Profile Parameterisation'
          WRITE(numout,*) '~~~~~~~~~~~~'
-         WRITE(numout,*) '   Namelist nam_kpp : set tke mixing parameters'
+         WRITE(numout,*) '   Namelist namzdf_kpp : set tke mixing parameters'
          WRITE(numout,*) '     Shear instability mixing                      ln_kpprimix = ', ln_kpprimix
          WRITE(numout,*) '     max. internal wave viscosity                  rn_difmiw   = ', rn_difmiw
